qq_31592111
qq_31592111
采纳率0%
2020-10-26 10:39

Tensorflow安装在windows 上面出现ImportError: DLL load failed: 动态链接库(DLL)初始化例程失败。

开始处理所有歌曲
处理中 D:\KuGou\李维 - 有没有人告诉你.mp3
Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in
pywrap_tensorflow_internal = swig_import_helper()
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\imp.py", line 242, in load_module
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\imp.py", line 342, in load_dynamic
ImportError: DLL load failed with error code 3221225501
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\runpy.py", line 193, in _run_module_as_main
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\runpy.py", line 85, in _run_code
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\
_main__.py", line 58, in
entrypoint()
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter__main__.py", line 54, in entrypoint
main(sys.argv)
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter__main__.py", line 36, in main
enable_logging()
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\utils\logging.py", line 60, in enable_logging
tf_logger = get_tensorflow_logger()
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\spleeter\utils\logging.py", line 27, in get_tensorflow_logger
from tensorflow.compat.v1 import logging
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow__init__.py", line 99, in
from tensorflow_core import *
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core__init__.py", line 28, in
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow__init__.py", line 50, in getattr
module = self._load()
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow__init__.py", line 44, in load
module = _importlib.import_module(self.
_name__)
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64__init__.py", line 127, in import_module
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python__init__.py", line 49, in
from tensorflow.python import pywrap_tensorflow
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File "C:\Users\Administrator\AppData\Roaming\SpleeterGUI\python\Lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\imp.py", line 242, in load_module
File "D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\imp.py", line 342, in load_dynamic
ImportError: DLL load failed with error code 3221225501
Failed to load the native TensorFlow runtime.
See https://www.tensorflow.org/install/errors
for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.
完成处理所有歌曲

运行完成

spleeter使用出现的问题,如何解决 贴上附图图片说明

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答

  • u011898782 20330 2月前

    同求 坐等

    点赞 评论 复制链接分享